2009-06-18  Mike Massonnet <mmassonnet@xfce.org>

=== Release 1.7.0 ===

2009-06-18  Mike Massonnet <mmassonnet@xfce.org>

Clean up over autotools scripts
	* panel-plugin/Makefile.am:
	  - Fix broken distdir (once once again but this time for sure).
	  - Fix clean rule on maintainer-mode only.

2009-06-16  Mike Massonnet <mmassonnet@xfce.org>

Fix make distcheck (once again)

2009-06-15  Mike Massonnet <mmassonnet@xfce.org>

Fix make distcheck

2009-06-14  Mike Massonnet <mmassonnet@xfce.org>

Define new colors
	* panel-plugin/defines.h, panel-plugin/xfce4-notes-settings.c:
	  - Replace and use some other colors.

2009-06-14  Mike Massonnet <mmassonnet@xfce.org>

Properly shutdown Xfconf
	* panel-plugin/main.vala:
	  - On NotesPlugin destruction, destroy application as to call its
	  destructor and save the settings to Xfconf before shutting Xfconf
	  down.
	  - Set panel_plugin a weak ref (no need to ref/unref it).

2009-06-14  Mike Massonnet <mmassonnet@xfce.org>

Refactorize main.vala

2009-06-14  Mike Massonnet <mmassonnet@xfce.org>

Previous problem catched...
	* panel-plugin/Makefile.am:
	  - The valac compiler doesn't like libxfcegui4+libxfce4panel. The
	  file libxfce4panel-1.0.deps depends on libxfcegui4-1.0, but the
	  version for Xfce 4.7 doesn't.

2009-06-14  Mike Massonnet <mmassonnet@xfce.org>

Fix compilation for libxfce4panel < 4.7

It still doesn't compile, and frankly I have not the slightest bit why this is
so. The resulting C code from main.vala does not include libxfce4panel.h.

2009-06-13  Mike Massonnet <mmassonnet@xfce.org>

Support for libxfce4panel >= 4.7

2009-06-10  Mike Massonnet <mmassonnet@xfce.org>

Minor automake script review

2009-06-09  Mike Massonnet <mmassonnet@xfce.org>

Add Native Language Support back in

2009-06-09  Mike Massonnet <mmassonnet@xfce.org>

Rethink default sizes and colors

2009-06-09  Mike Massonnet <mmassonnet@xfce.org>

Set default Xnp.Window opacity to 0.9
	* panel-plugin/window.vala:
	  - Default opacity to 0.9
	* panel-plugin/application.vala:
	  - Fix broken opacity read from configuration. Cast int to double
	  otherwise the division always returns 0.

2009-06-09  Mike Massonnet <mmassonnet@xfce.org>

Restore popup command

2009-06-07  Mike Massonnet <mmassonnet@xfce.org>

Window show/hide behavior and initial background
	* panel-plugin/application.vala:
	  - Set initial background color.
	  - Present all visible windows when none is active, present all
	  windows otherwise and hide all windows when all are visible.
	* panel-plugin/window.vala:
	  - Deiconify on hide.
	  - When switching window from the Go menu, present instead of show.

2009-06-07  Mike Massonnet <mmassonnet@xfce.org>

Drop thunarvfs reference from automake
	* panel-plugin/Makefile.am:
	  - Drop THUNAR_VFS references.

2009-06-07  Mike Massonnet <mmassonnet@xfce.org>

Update autoconf script
	* configure.ac.in:
	  - Don't check for thunarvfs, that support has been dropped.
	  - Check for xfce4-vala.

2009-06-06  Mike Massonnet <mmassonnet@xfce.org>

Milestone reached
	* panel-plugin/Makefile.am:
	  - Build the new Vala sources to C, and the C sources to the binary.
	* panel-plugin/color.vapi:
	  - Ability to use the functions in color.h in the Vala sources.
	* panel-plugin/application.vala:
	  - Uncomment the last little bit that was missing: setting the
	  background color.

2009-06-06  Mike Massonnet <mmassonnet@xfce.org>

Forgot config.vapi
	* panel-plugin/config.vapi:
	  - Links to most declarations from config.h for Vala sources.

2009-06-06  Mike Massonnet <mmassonnet@xfce.org>

Vala the panel plugin
	* panel-plugin/main.vala:
	  - Registers an external panel plugin.
	  - On button click show/hide the notes.
	* panel-plugin/window.vala:
	  - Replaced the Font menu with the Properties item.
	* panel-plugin/application.vala:
	  - On action "properties" spawn xfce4-notes-settings.
	  - New method to show_hide_notes. Hides the notes when all are shown.
	  - Moved Xfconf.init/shutdown to main.vala.

2009-06-06  Mike Massonnet <mmassonnet@xfce.org>

Overload hide in Xnp.Window
	* panel-plugin/window.vala:
	  - Replace hide_cb in favor of the overloaded hide method.
	  - Overload the hide method to save the geometry as before, but
	  allows to call hide outside of the Xnp.Window class and keep the
	  same behavior.
	  - Listen to window state sticky only if the window is visible.

2009-06-06  Mike Massonnet <mmassonnet@xfce.org>

Rename settings-dialog.c to its homonyme executable

2009-06-06  Mike Massonnet <mmassonnet@xfce.org>

Made the settings dialog a standalone application
	* configure.in.in:
	  - Set Xfconf required.
	* panel-plugin/Makefile.am:
	  - Add compilation rules for binary xfce4-notes-settings.
	* panel-plugin/panel-plugin.c:
	  - Spawn xfce4-notes-settings instead of creating the settings
	  dialog.
	* panel-plugin/settings-dialog.c:
	  - Add a main function to init Xfconf, an xfconf channel, and show
	  the settings dialog.

2009-06-06  Mike Massonnet <mmassonnet@xfce.org>

Verify window/notes names for a set of invalid characters
	* panel-plugin/application.vala:
	  - New method name_is_valid that verifies if the given name has
	  invalid characters in it.
	  - On window/notes rename, verify the name and revert appropriately.

2009-06-06  Mike Massonnet <mmassonnet@xfce.org>

Sort window_list on window rename
	* panel-plugin/application.vala:
	  - On rename_window sort the SList window_list.

2009-06-06  Mike Massonnet <mmassonnet@xfce.org>

"Grey" the title bar on focus out
	* panel-plugin/window.vala:
	  - On focus-out-event/focus-in-event set the title_label sensitivity
	  to false/true.

2009-06-06  Mike Massonnet <mmassonnet@xfce.org>

Window name sort function
	* panel-plugin/window.vala:
	  - Add a CompareFunc on the window name.
	* panel-plugin/application.vala:
	  - Use insert_sorted method from SList instead of append.

2009-06-06  Mike Massonnet <mmassonnet@xfce.org>

Fix broken "open link" code
	* panel-plugin/hypertextview.vala:
	  - The code to launch a brower was missusing the try catches.

2009-06-06  Mike Massonnet <mmassonnet@xfce.org>

Vala Xfconf settings
	* panel-plugin/application.vala:
	  - Use Xfconf to bind and set settings.
	  - Made the font option global.
	  - Xfconf properties:
	  /global/background-color
	  /global/font-description
	  /global/skip-taskbar-hint
	  /new-window/always-on-top
	  /new-window/sticky
	  /new-window/height
	  /new-window/width

2009-06-04  Mike Massonnet <mmassonnet@xfce.org>

Properly save window geometry
	* panel-plugin/window.vala:
	  - New method get_geometry() to return in accordance the geometry
	  despit the state of the visibility.
	* panel-plugin/application.vala:
	  - Properly save window geometry.
	* panel-plugin/note.vala:
	  - Fix a null pointer sent within the lambda in the setter of the
	  property dirty. Move the code to a normal function.

2009-06-04  Mike Massonnet <mmassonnet@xfce.org>

Load/save notes contents and windows configuration
	* panel-plugin/application.vala:
	  - Load/save windows configuration from/to config_file.
	  - Add destructor to save notes and windows configuration.
	* panel-plugin/window.vala:
	  - New public methods get/set_current_page() as needed by the window
	  configuration to restore the "LastPage" on the next run.
	  - New public method save_notes() called by the Xnp.Application
	  destructor to save remaining dirty notes.
	* panel-plugin/note.vala:
	  - New property dirty, when set to true it initiates a timeout to
	  send the save-data signal and destroys the timeout on false.
	  - On buffer_changed_cb only set dirty to true.

2009-05-31  Mike Massonnet <mmassonnet@xfce.org>

Load/Save notes from files
	* panel-plugin/window.vala:
	  - New signals note-inserted, note-deleted and note-renamed sent with
	  the Xnp.Note in parameters along side with the insert_note(),
	  delete_note() and rename_note() methods.
	* panel-plugin/application.vala:
	  - Load the initial existing notes.
	  - Delete and create the files for the notes.
	* panel-plugin/window.vala, panel-plugin/application.vala:
	  - Popup a question before deleting a window and a note.

2009-05-30  Mike Massonnet <mmassonnet@xfce.org>

Request a 22x22 minimum size for the buttons close/next/prev/...
	* panel-plugin/window.vala:
	  - The buttons can be too small because they depend on the font size,
	  thus if their width allocation is smaller then 22 they request it.

2009-05-30  Mike Massonnet <mmassonnet@xfce.org>

Postpone the hide navigation timeout longer on button press events
	* panel-plugin/window.vala:
	  - The leave event is emitted on button press events or by hovering
	  an unsensitive widget, instead of hidding the navigation bar in 2
	  seconds, it hides in 10 seconds. If we would keep it shown, another
	  bug would be introduced when popping up a menu, in that case the
	  menu can be closed while the pointer is outside the window and then
	  the navigation would be shown forever.

2009-05-29  Mike Massonnet <mmassonnet@xfce.org>

Generate an available name for a new window/note
	* panel-plugin/application.vala, panel-plugin/window.vala:
	  - New methods window/note_name_exists to verify if a given name is
	  already in use.
	  - Loop n_times+1 the length of the windows/notes to generate an
	  available name.
	  - On window rename, if the name is already in use popup a message
	  dialog.
	* panel-plugin/window.vala, panel-plugin/note.vala:
	  - New signal in Xnp.Window save-data to proxy the same signal from
	  the note.

2009-05-24  Mike Massonnet <mmassonnet@xfce.org>

Use a UI to set accelerators
	* panel-plugin/window.vala:
	  - Define accelerators through the UI manager (works for hidden
	  widgets and fixes the Ctrl+Page Up/Down cursor moves problem).

2009-05-24  Mike Massonnet <mmassonnet@xfce.org>

Fill the missing gaps in Xnp.Window
	* panel-plugin/window.vala:
	  - Remove the timeout on finalize.
	  - Display an arrow beneath the current note in the menu Go.
	  - On Properties item activate send a signal action.
	  - Add more accelerators.

2009-05-24  Mike Massonnet <mmassonnet@xfce.org>

Unshade the window before it is hidden
	* panel-plugin/window.vala:
	  - On hide_cb unshade the window.

2009-05-24  Mike Massonnet <mmassonnet@xfce.org>

Create/delete/rename note groups
	* panel-plugin/window.vala:
	  - Set window_list unowned (spares the copy of the list).
	  - New signal action. On activate Create/delete/rename items in the
	  menu Go send signals with a string describing the action.
	  - On window.name changes update the title too.
	* panel-plugin/application.vala:
	  - Set Xnp.Window objects owned within window_list, otherwise the
	  instantiated objects get unrefed at the end of create_window.
	  - Connect to signal action in create_window.
	  - New methods rename_window and delete_window.

2009-05-23  Mike Massonnet <mmassonnet@xfce.org>

Display window list in menu Go
	* panel-plugin/window.vala:
	  - New private property window_list that is set via the new private
	  method set_window_list. It is a simple list that stores a bunch of
	  pointers to Xnp.Window objects.
	  - Update the menu Go to include a list of windows and a rename item.
	* panel-plugin/application.vala:
	  - New public method create_window that creates a new window and
	  stores it inside a simple list in its private data. The list is
	  passed to the windows that the object creates.

2009-05-23  Mike Massonnet <mmassonnet@xfce.org>

Unique property "name" on Window
	* panel-plugin/window.vala:
	  - New private method update_title to set the window title to
	  "window.name - note.name"
	  - New public property "name" that contains the name of the window
	  shown in the window title that can also be reused as a unique
	  identifier for the window

2009-05-22  Mike Massonnet <mmassonnet@xfce.org>

Update automake script for Vala 0.7
	* panel-plugin/Makefile.am:
	  - Need to pass a -H parameter to output a unique header file that
	  can be used in the different C sources
	* panel-plugin/notes.c:
	  - Use new namespace for the hypertextview (s/XFCE/XNP/)

2009-05-20  Mike Massonnet <mmassonnet@xfce.org>

Display existing notes in the menu Go
	* panel-plugin/window.vala:
	  - On menu_go.show refresh the list of existing notes

2009-05-20  Mike Massonnet <mmassonnet@xfce.org>

Set font for current note
	* panel-plugin/hypertextview.vala:
	  - Make the font property settable (it was a construct only)
	* panel-plugin/window.vala:
	  - Response on Font menu item and popup a font selection dialog to
	  set the font of the current note

2009-05-20  Mike Massonnet <mmassonnet@xfce.org>

Follow above/sticky states
	* panel-plugin/window.vala:
	  - Switch above/sticky states through the new window properties above
	  and sticky
	  - Toggle the menu items mi_above and mi_sticky to keep them valid
	  through the window_state_cb()

2009-05-20  Mike Massonnet <mmassonnet@xfce.org>

Update window title on note name changes (not simply on renames)
	* panel-plugin/window.vala:
	  - Update the window title by connecting to note.notify for changes
	  on the note property
	  - On note rename, only set note.name (drop title)
	  - Set window widget name (makes the gtkrc theme work again)

2009-05-20  Mike Massonnet <mmassonnet@xfce.org>

Update window title
	* panel-plugin/window.vala:
	  - On note rename and on note switching, update the window title and
	  the title label seen inside the window
	* panel-plugin/note.vala:
	  - Build with Vala 0.7.1 => vapi changes

2009-05-19  Mike Massonnet <mmassonnet@xfce.org>

Vala vala vala vala vala
	* panel-plugin/hypertextview.vala:
	  - Changed Timeout.add_seconds_full calls against classical
	  Timeout.add_seconds calls
	  - Update tags quicker on typing space or return carrier
	  - Remove existing GLib.Sources on destruction
	* panel-plugin/window.vala,
	  panel-plugin/note.vala:
	  - Vala vala vala vala vala

2009-03-13  Mike Massonnet <mmassonnet@xfce.org>

Minor autofoo changes for Vala sources
	* configure.in.in:
	  - Print a minimum requirement for valac in the build configuration
	  summary
	* panel-plugin/Makefile.am:
	  - Unify Vala sources

2009-03-11  Mike Massonnet <mmassonnet@xfce.org>

Include first Vala prototype of Xfce.HypertextView
	* configure.in.in:
	  - Check for the program valac
	* panel-plugin/Makefile.am:
	  - When in maintainer mode, build the hypertextview C source files
	  with the valac compiler
	* panel-plugin/hypertextview.vala:
	  - A new object on top of GtkTextView that displays links and makes
	  them clickable + it manages a simple undo/redo history
	* panel-plugin/notes.c:
	  - Replace gtk_text_view_new against xfce_hypertext_view_new
	  - Remove undo/redo code

2009-03-07  Mike Massonnet <mmassonnet@xfce.org>

No rm -rf on the window path
	* panel-plugin/panel-plugin.c(notes_plugin_fs_event):
	  - Due to a bug occuring with the deletion of the default window,
	  this feature is removed

2009-02-28  Mike Massonnet <mmassonnet@xfce.org>

Fix warnings
	* panel-plugin/notes.c, panel-plugin/settings-dialog.c:
	  - Fix warnings (bug #5008)

2009-02-28  Mike Massonnet <mmassonnet@xfce.org>

=== Release 1.6.4 ===

2009-02-28  Mike Massonnet <mmassonnet@xfce.org>

Remember the last tab
	* panel-plugin/notes.c(notes_window_save_data),
	  panel-plugin/notes.c(notes_window_load_data):
	  - Save and load the current tab of the notebook inside the rc file

2009-02-28  Mike Massonnet <mmassonnet@xfce.org>

Micro settings dialog changes
	* panel-plugin/defines.h:
	  - Redefine the default colors, set them more pale
	* panel-plugin/settings-dialog.c:
	  - Set default width to 300
	  - Fix missing include color.h

2009-02-26  Mike Massonnet <mmassonnet@xfce.org>

Minor look-n-feel changes
	* panel-plugin/panel-plugin.c(notes_plugin_configure):
	  - Put the dialog inside a GtkWindowGroup to keep the button in the
	  panel plugin clickable
	* panel-plugin/notes.c(notes_window_new_with_label):
	  - Set the shadow type to NONE for the GtkFrame to keep a singular
	  look between different theme engines
	* panel-plugin/notes.c(notes_window_motion_event),
	  panel-plugin/notes.c(notes_window_button_event):
	  - Set bottom "margin" for the mouse cursor to 3 pixels

2009-02-25  Mike Massonnet <mmassonnet@xfce.org>

Draw the arrow button only with the state ACTIVE
	* panel-plugin/xfce-arrow-button.c(xfce_arrow_button_expose):
	  - The arrow still displays poorly on different theme engines. Try to
	  draw the arrow only in the ACTIVE state, and cross the fingers it
	  displays fine on other theme engines.

2009-02-25  Mike Massonnet <mmassonnet@xfce.org>

Replace the custom packed arrow button against XfceArrowButton
	* panel-plugin/xfce-arrow-button.c, panel-plugin/xfce-arrow-button.h,
	  panel-plugin/Makefile.am:
	  - Import XfceArrowButton from Xfmpc (it was imported from Xfce4 Panel
	  and contains a few modifications to be usable without apparent
	  functions/callbacks for the panel)
	* panel-plugin/notes.c(notes_window_new_with_label):
	  - Use XfceArrowButton, the packed GtkArrow drawed poorly on some
	  theme engines where the arrow had the color of the text which is
	  basically the same as the background of the window thus invisible
	  to the user
	* panel-plugin/color.c:
	  - Set default thickness to 1

2009-02-25  Mike Massonnet <mmassonnet@xfce.org>

Support for GTK+ < 2.14
	* panel-plugin/color.c, panel-plugin/color.h:
	  - Copy GTK function gtk_color_selection_dialog_get_color_selection

2009-02-22  Mike Massonnet <mmassonnet@xfce.org>

Don't mark Lock note as translatable
	* panel-plugin/notes.c(notes_window_menu_new):
	  - Don't mark Lock note as translatable, it is surrounded by #if 0's

2009-02-22  Mike Massonnet <mmassonnet@xfce.org>

Set background color dialog transient+modal+centered
	* panel-plugin/settings-dialog.c(cb_background_changed):
	  - Fix the background color dialog WRT the settings dialog

2009-02-22  Mike Massonnet <mmassonnet@xfce.org>

Fix GTK_CHECK_VERSION for gdk_color_to_string
	* panel-plugin/color.[ch]:
	  - Testing !GTK_CHECK_VERSION is the valid check

2009-02-22  Mike Massonnet <mmassonnet@xfce.org>

Default background color in the settings dialog
	* panel-plugin/color.[ch]:
	  - New file with functions related to colors and other functions to
	  update the gtk rc style
	* panel-plugin/defines.h:
	  - New default values for colors
	* panel-plugin/panel-plugin.c:
	  - (notes_plugin_register): Set initial color
	  - (notes_plugin_xfconf_property_changed): Listen to color changes
	* panel-plugin/settings-dialog.c:
	  - New background color setting

2009-02-21  Mike Massonnet <mmassonnet@xfce.org>

Little change in the menu
	* panel-plugin/notes.c(notes_window_menu_options_new),
	  panel-plugin/notes.c(notes_window_menu_new):
	  - Change how the "titles" are displayed

2009-02-21  Mike Massonnet <mmassonnet@xfce.org>

Update the settings dialog
	* panel-plugin/settings-dialog.c:
	  - General clean up
	  - Add a "Show tabs" setting for new windows
	  - Replace the size width*height against a combobox with three
	  predefined sizes
	  - Rename title and subtitle
	* panel-plugin/notes.c:
	  - Rename hide_tabs to show_tabs

2009-02-20  Mike Massonnet <mmassonnet@xfce.org>

Set default thickness for frame and add two mouse cursors for resizing
	* panel-plugin/notes.c(notes_window_new_with_label):
	  - Set default thickness of the frame to x=1 and y=3 so it looks
	  sharp on the left and right side of the window and like a small
	  status bar for the bottom where we display the mouse cursor for
	  resizing
	* panel-plugin/notes.c(notes_window_motion_event):
	  - Display two more resizing cursors: bottom and bottom left

2009-02-19  Mike Massonnet <mmassonnet@xfce.org>

Make window resizable with the mouse
	* panel-plugin/notes.c:
	  - New functions notes_window_leave_event(), notes_window_motion_event()
	  to display a cursor in the bottom right corner
	  - New function notes_window_button_event() to resize the window by
	  clicking the borders (2 pixels)
	* panel-plugin/notes.c(notes_window_new_with_label):
	  - Add events POINTER_MOTION and BUTTON_PRESS to the window
	  - Connect to motion events and button press event on the window
	* panel-plugin/defines.h, panel-plugin/notes.[ch],
	  panel-plugin/settings-dialog.c:
	  - Drop the statusbar used for the resize grip from the code

2009-02-19  Mike Massonnet <mmassonnet@xfce.org>

Replace icons against labels for the buttons in the window
	* panel-plugin/notes.c(notes_window_new_with_label):
	  - Use labels instead of images inside the buttons
	* panel-plugin/notes.c(notes_note_new):
	  - Set margin properties for the textview

2008-11-22  Mike Massonnet <mmassonnet@xfce.org>

=== Release 1.6.3 ===
	* panel-plugin/*.h,
	  panel-plugin/*.c:
	  - Update FSF address
	* panel-plugin/panel-plugin.c:
	  - Add a tooltip text.
	* panel-plugin/notes.c:
	  - Forgot one default settings.

2008-11-13  Jannis Pohlmann <jannis@xfce.org>

	* panel-plugin/panel-plugin.c: Add missing includes and a few type 
	  casts to avoid compiler warnings.

2008-11-01  Mike Massonnet <mmassonnet@xfce.org>

Update settings dialog
	* panel-plugin/defines.h:
	  - Define default settings.
	* panel-plugin/{notes.c,panel-plugin.c}:
	  - Use defines instead hard coded default values.
	* panel-plugin/settings-dialog.c:
	  - Set default values (if not yet set in xfconf) before binding the
	  widgets to xfconf.
	* panel-plugin/notes.c:
	  - Fix a bug for previous commit, the tabs were shown back on note
	  creation/deletion.

2008-11-01  Mike Massonnet <mmassonnet@xfce.org>

Hide tabs option
	* panel-plugin/notes.[ch]:
	  - New window option "Hide tabs".

2008-10-19  Mike Massonnet <mmassonnet@xfce.org>

Scroll to last cursor position on undo/redo
	* panel-plugin/notes.[ch]:
	  - Set a GtkTextMark inside the buffer and use it as cursor position
	  to scroll back to.  This is more reliable then to scroll back to a
	  GtkTextIter as per API documentation.
	  - Free the undo/redo text buffer when a NotesNote is destroyed.

2008-10-18  Mike Massonnet <mmassonnet@xfce.org>

Simple undo/redo feature
	* panel-plugin/notes-options.[ch]:
	  - Deleted obsolete options dialog.
	* panel-plugin/notes-properties.[ch],
	  panel-plugin/settings-dialog.[ch],
	  panel-plugin/panel-plugin.c,
	  panel-plugin/Makefile.am:
	  - Renamed notes-properties to settings-dialog.
	* panel-plugin/notes.[ch]:
	  - Added simple undo/redo feature.  Ctrl+Z cycles through one level
	  of history from undo to redo.

2008-10-11  Mike Massonnet <mmassonnet@xfce.org>

Clean up \o/
	* Use only one xfconf channel.
	* By default hide notes windows from taskbar.
	* Fix initial orientation of the panel to display the panel arrow in
	the right direction.
	* Don't close configuration dialog if the Help button is clicked.
	* Load fallback icon GTK_STOCK_EDIT.
	* Update configure.in.in file.

2008-05-05  Mike Massonnet <mmassonnet@xfce.org>

=== Release 1.6.2 ===

2008-05-02  Mike Massonnet <mmassonnet@xfce.org>

Fix compilation without xfconf
	* panel-plugin/notes-properties-dialog.c:
	  - Add HAVE_XFCONF checks
	* panel-plugin/notes.h:
	  - Fix bad copy/paste

2008-04-30  Mike Massonnet <mmassonnet@xfce.org>

Fix container spacing in properties dialog
	* panel-plugin/notes-properties-dialog.c(prop_dialog_new):
	  - Drop border within children

2008-04-30  Mike Massonnet <mmassonnet@xfce.org>

Rename the channels and some properties; make the panel plugin options work;
	* src/defines.h,
	  src/notes-properties-dialog.c,
	  src/notes.c,
	  src/notes.h,
	  src/panel-plugin.c:
	  - Define the channel names
	  - Make use of new channel/property names
	* src/notes.c:
	* src/panel-plugin.c:
	  - Attach a callback to "property-changed" signal on the panel plugin channel
	  - Update arrow visibility
	  - Update taskbar hint for the windows

2008-04-29  Mike Massonnet <mmassonnet@xfce.org>

Add an arrow button (ftm not hideable)
	* panel-plugin/notes.h:
	  - Two new widgets in NotesPlugin struct, a XfceHVBox and XfceArrowButton
	* panel-plugin/panel-plugin.c:
	  - Add arrow button beneath panel button
	  - Display the menu on toggle
	  - Attach a callback to "orientation-changed" (NOTE: position-changed may be
	  better suited but doesn't exist)

2008-04-28  Mike Massonnet <mmassonnet@xfce.org>

Add missing properties dialog
	* panel-plugin/notes-properties-dialog.c,
	  panel-plugin/notes-properties-dialog.h:
	  - Properties dialog with 3 callbacks

2008-04-27  Mike Massonnet <mmassonnet@xfce.org>

Add configuration dialog (need xfconf)
	* configure.in.in:
	  - Add optional build flag for the configuration dialog
	* panel-plugin/Makefile.am:
	  - Add build deps and compilation for new files
	* panel-plugin/defines.h:
	  - New file with common defines
	* panel-plugin/notes.c(notes_window_new_with_label):
	  - Get default window geometry with xfconf (optional)
	  - Drop gtk_tooltips, and put gtk_tooltip instead (only with GTK+>=2.12.0)
	* panel-plugin/notes.c(notes_window_load_data):
	  - Load default data from xfconf (optional)
	* panel-plugin/notes.h:
	  - Quick clean up
	* panel-plugin/panel-plugin.c:
	  - Add optional "configure-plugin" callback

2007-12-24  Mike Massonnet <mmassonnet@xfce.org>

	* panel-plugin/notes.c(notes_window_load_data): Reset window title after
	  we pick up an automatic window name.

2007-12-23  Mike Massonnet <mmassonnet@xfce.org>

	* panel-plugin/panel-plugin.c(notes_plugin_free): Correctly unref ThunarVfs

2007-12-23  Mike Massonnet <mmassonnet@xfce.org>

	* panel-plugin/notes.h: Add delete boolean on NotesNote.  Declare
	  notes_window_get_note_by_name outside.  Add interactive delete
	  function for a window.
	* panel-plugin/notes.c(notes_window_delete),
	  panel-plugin/notes.c(notes_window_destroy),
	  panel-plugin/notes.c(notes_window_menu_new): Separate interactive
	  delete out from _destroy.
	* panel-plugin/notes.c(notes_window_get_note_by_name): Return the
	  pointer of a NotesNote by comparing its name.
	* panel-plugin/notes.c(notes_window_fs_event),
	  panel-plugin/notes.c(notes_note_new): Set a boolean "delete" to
	  TRUE or FALSE.  It keeps the CPU cycles lower when it comes to
	  refresh the NotesNote.  The fs event on NotesPlugin takes care of
	  the refresh.
	* panel-plugin/notes.c(notes_note_destroy): Read the id from the
	  GSList or it breaks the delete process of the NotesNote if the Tab
	  doesn't have the focus.
	* panel-plugin/panel-plugin.c(notes_plugin_get_window_by_name):
	  Returns the NotesWindow po

2007-12-23	Mike Massonnet <mmassonnet@xfce.org>

	* configure.in.in, panel-plugin/Makefile.am, panel-plugin/notes.c,
	  panel-plugin/notes.h, panel-plugin/panel-plugin.c: Add file system
	  monitoring.

2007-12-23	Mike Massonnet <mmassonnet@xfce.org>

	* panel-plugin/notes-window.*: Delete old files from VCS.

2007-12-23	Mike Massonnet <mmassonnet@xfce.org>

	* README: Polish a bit the readme

2007-12-23	Mike Massonnet <mmassonnet@xfce.org>

	* panel-plugin/xfce4-popup-notes.c: Check for GTK version.

2007-10-29	Mike Massonnet <mmassonnet@xfce.org>

	* panel-plugin/notes.c: Add some comments around a bit

2007-10-29	Mike Massonnet <mmassonnet@xfce.org>

	* panel-plugin/notes.c: Rename functions around title press/release

2007-10-27	Mike Massonnet <mmassonnet@xfce.org>

	* panel-plugin/notes.c(notes_window_start_move),
	  panel-plugin/notes.c(notes_window_timeout_start_move),
	  panel-plugin/notes.c(notes_window_timeout_start_move_destroy),
	  panel-plugin/notes.c(notes_window_new_with_label): Delay the start_move
	  window a bit (1OOms) with a timeout, and kill it on-release.

2007-10-24	kelnos

	* configure.in.in: remove trailing parens on AC_INIT version info to work
	  around bug in intltool 0.35.x and 0.36.x

2007-10-10  Mike Massonnet <mmassonnet@gmail.com>

	* === Release 1.6.0 ===
	* ChangeLog, README, NEWS: Update files.
	* configure.in.in: Add comment.
	* panel-plugin/panel-plugin.c(notes_plugin_message_received),
	  panel-plugin/xfce4-popup-notes.c(main),
	  panel-plugin/xfce4-popup-notes.h: New GOption interface for the
	  xfce4-popup-notes command.  Possibility to show the menu, or to
	  show/hide all windows.

2007-10-09  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes.c(notes_window_show): Call gtk_window_present
	  followed by gdk_window_raise.
	* panel-plugin/notes.c(notes_window_show): Deiconify the window (in a
	  certain case it will break the window is left iconified).
	* panel-plugin/notes.c(notes_note_save_data): Save the data only if the
	  NotesNote->timeout is set.
	* panel-plugin/panel-plugin.c(notes_plugin_new),
	  panel-plugin/panel-plugin.c(notes_plugin_destroy_timeout),
	  panel-plugin/panel-plugin.c(notes_plugin_button_pressed),
	  panel-plugin/panel-plugin.c(notes_plugin_button_released),
	  panel-plugin/panel-plugin.c(notes_plugin_show_hide_windows),
	  panel-plugin/panel-plugin.c(notes_plugin_menu_popup): Change the
	  behavior of the panel button to show all/hide all windows on click, and
	  display the popup menu on timeout while the button is left pressed.
	* panel-plugin/panel-plugin.c(notes_plugin_menu_destroy): Check the menu
	  pointer to dettach it.
	* panel_plugin/panel-plugin.c(notes_plugin_message_received): Call
	  function notes_plugin_show_hide_windows() by default.

2007-10-07  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes.c(notes_window_new_with_label): Remove add/delete
	  note accelerators.
	* panel-plugin/notes.c(notes_window_menu_new): Rework the menu a bit, and
	  add menu items with accelerators to add/delete a note.

2007-10-01  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes.c(notes_window_load_data): Set the first tab as
	  current.

2007-09-30  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes.c(notes_window_set_font_dialog),
	  panel-plugin/notes.c(notes_note_set_font): Two new functions to set the
	  default font in the window.

2007-09-29  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/Makefile.am: Add compilation for xfce4-popup-notes.
	* panel-plugin/panel-plugin.c, panel-plugin/xfce4-popup-notes.c: Add two
	  new functions notes_plugin_message_received() and
	  notes_plugin_set_selection().
	* panel-plugin/panel-plugin.c(notes_plugin_new),
	  panel-plugin/panel-plugin.c(notes_plugin_menu_popup): Changed the
	  "event" signal with a "clicked" signal for btn_panel.

2007-09-26  Mike Massonnet <mmassonnet@gmail.com>

	* configure.in.in: Check for math.h (rint()).
	* panel-plugin/notes.c(notes_window_set_transparency): New function to set
	  the opacity of the window.
	* panel-plugin/notes.c(notes_window_scroll_event): Update the opacity on
	  scroll with the GDK_MOD1_MASK state on.
	* panel-plugin/notes.c(notes_window_new_with_label),
	  panel-plugin/notes.c(notes_note_new): Load data before connecting the
	  signals.
	* panel-plugin/notes.c(notes_plugin_save_data_all): New function, saves
	  all the NotesNote on free/quit overmore the NotesWindow.

2007-09-27  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes.c(notes_window_rename),
	  panel-plugin/notes.c(notes_note_rename): Return the result of g_rename.
	* panel-plugin/notes.c(notes_window_rename_dialog),
	  panel-plugin/notes.c(notes_note_rename_dialog): Display an error message
	  with xfce_message_dialog() if the rename failed.
	* panel-plugin/notes.c(notes_window_menu_new): Rename menu items and drop
	  images.  Add rename note with accelerator (F2).
	* panel-plugin/notes.c(notes_note_new): Set label angle to 90° in the
	  tabs.
	* panel-plugin/notes.c(notes_window_rename_note_dialog): Convenience
	  function to rename a NotesNote->name through a NotesWindow (with its
	  accelerator).
	* panel-plugin/notes.c(notes_note_rename_dialog): New dialog to rename a
	  note.
	* panel-plugin/notes.c(notes_note_rename): New rename function for a note.
	* panel-plugin/notes.c(notes_note_sort_names): Reorder tabs in notebook
	  too.

2007-09-26  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/{notes.c,notes.h,panel-plugin.c}: Remove config.h from
	  notes.h and put it in each .c file, this way we do have debugging
	  information.
	* panel-plugin/notes.c(notes_window_new_with_label),
	  panel-plugin/notes.c(notes_window_menu_new): Use smarter accelerators.
	* panel-plugin/notes.c(notes_window_show),
	  panel-plugin/notes.c(notes_window_hide): Unshade on hide and if visible
	  on show too.
	* panel-plugin/notes.c(notes_window_unshade): Resize only if the window is
	  visible.

2007-09-23  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/{notes.{c,h},panel-plugin.c}: Save NotesNote data on buffer
	  changes.
	* panel-plugin/notes.c(notes_note_key_pressed): Implement cycle through
	  tabs (Shift+Ctrl+0..9 and Ctrl+PageUp/Down).
	* panel-plugin/notes.{c,h}: Set window menu static, and put the dynamic
	  menu items (window options) in a sub-menu.
	* panel-plugin/notes.c(notes_window_new_with_label): Switched the "event"
	  signal with a simple "clicked" signal so we can show the menu with an
	  Accelerator.
	* panel-plugin/notes.c(notes_window_new_with_label),
	  panel-plugin/notes.c(notes_window_menu_new): Add accelerators and
	  tooltips to the window.
	* panel-plugin/notes.c(notes_window_rename): Update gtk_window_set_title.
	* panel-plugin/panel-plugin.c(notes_plugin_menu_new): Add “New window”
	  menu item.
	* panel-plugin/notes.c(notes_window_destroy): Ask for confirmation if the
	  NotesNote contents is not empty.  Re-init a new NotesNote if the last
	  one is destroyed.
	* panel-plugin/notes.c(notes_window_set_statusbar): Fix visibility of
	  notebook when the statusbar option is switched.
	* panel-plugin/notes.c(notes_window_strcasecmp): Use
	  g_utf8_collate_key_for_filename to sort 10 after 9 and not 1.
	* panel-plugin/notes.c(notes_window_get_current_note): New function to
	  return the current NotesNote in a NotesWindow.
	* panel-plugin/notes.c(notes_window_delete_note): Implement click on
	  delete note button (half done).
	* panel-plugin/notes.c(notes_note_new): Insert note in GSList with sort
	  function.  Play with the notebook to set the current page.  Take a name
	  in function parameter (this fixes an issue in function _load_data).
	* panel-plugin/notes.c(notes_window_add_note): No more need to play with
	  the notebook when we add a new note.
	* panel-plugin/notes.c(notes_note_load_data): If the name of NotesNote is
	  NULL search an unused id starting from 1.
	* panel-plugin/notes.c(notes_note_sort_names),
	  panel-plugin/notes.c(notes_note_strcasecmp) : Implement two sort
	  functions.

2007-09-19  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes.c: Fix implementation for shade/unshade.  Implement
	  click on add note button.

2007-09-18  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/panel-plugin.c(notes_plugin_menu_popup),
	  panel-plugin/notes.c(notes_window_menu_popup): We don't need to look the
	  state of the toggle button to popup the menu.
	* panel-plugin/panel-plugin.c(notes_plugin_menu_new): gtk_menu_set_screen
	  with the panel button (_NOT_ NULL) so other buttons in the window won't
	  get any relief when the mouse is over.  xfce_panel_plugin_register_menu
	  for consistence with the auto hiding of the panel.
	* panel-plugin/panel-plugin.c(notes_plugin_menu_popup): Check that the
	  Control button is not pressed, since it displays the context menu of the
	  panel and we won't mix this with or own menu.  Pass the notes_plugin
	  pointer to notes_plugin_menu_position user_data.
	* panel-plugin/panel-plugin.c(notes_plugin_menu_position): Fix menu
	  position for vertical panels.
	* panel-plugin/{notes,panel-plugin}.c: Replace the buttons for the menus
	  with toggle buttons.
	* panel-plugin/notes.c(notes_window_load_data): If the name isn't set,
	  look for a non-existent id.
	* panel-plugin/notes.c(notes_window_menu_new): Attach rename item to
	  notes_window_rename_dialog instead of notes_window_rename.
	* panel-plugin/notes.c(notes_window_rename_dialog): Only show the dialog,
	  and call notes_window_rename if needed.
	* panel-plugin/notes.c(notes_window_rename): Implement simple rename
	  function for NotesWindow.
	* panel-plugin/notes.c(notes_window_new_with_label): Use sort functions to
	  add new NotesWindow in the GSList.
	* panel-plugin/notes.c(notes_window_sort_names): Sort the GSList of
	  windows.
	* panel-plugin/notes.c(notes_window_strcasecmp): Compare name of first
	  NotesWindow with second NotesWindow.
	* panel-plugin/notes.c(notes_window_destroy,notes_note_destroy): Implement
	  destroy functions.

2007-09-14  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes.c: Read contents of notes and put them in the window.
	* panel-plugin/notes.c: Implement rename window function.

2007-09-13  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes.c(notes_window_show): Show and present the window if
	  already visible.
	* panel-plugun/panel-plugin.c: Set in/sensitivity of the icon given the
	  visibility state of the window.
	* icons/: Remove the icons with hidden style.
	* panel-plugin/{notes.c,panel-plugin.c}: Add menu positionning function.
	* icons/: Add icons with hidden style.
	* panel-plugin/{panel-plugin.c,notes.c,notes.h}: Hacking around the menus
	  for the panel and the window.  NotesWindow: Fixed ShowOnStartup, Above,
	  Sticky status.  NotesPlugin: Switch hide/show state of the windows with
	  either a greyed or plain colors icon.

2007-09-10  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes.c: Set skip pager hint.

2007-09-09  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/{notes.{c,h},panel-plugin.c}: First window options in a
	  menu (keep above, sticky, show on startup, new window).

2007-09-08  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes.c: Shade window function.  Start move/send to
	  background/send to foreground window function.  Fix window names.
	* panel-plugin/*: Make the plugin runnable.

2007-09-07  Mike Massonnet <mmassonnet@gmail.com>

	* */**/: Initial code rewrite for multiple window support and a better way
	  to save the notes.  All features have to be backported on this new code
	  base.  *EXPERIMENTAL CODE*

2007-07-29  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes-window.c: Raise window on click, and unraise on
	  middle click.
	* panel-plugin/notes.c: No more tooltip for the button panel.
	* configure.in.in: Bump version post-release.
	* INSTALL: Remove autogenerated file.

2007-01-16  Mike Massonnet <mmassonnet@gmail.com>

	* === Released 1.4.1 ===
	* Makefile.am, configure.in.in, icons: Initial import of icons
	  stol^Wtaken from stickynotes applet from the GNOME project.
	* panel-plugin/notes.c: Use the xfce4-notes-plugin icon.

2006-11-26  Mike Massonnet <mmassonnet@gmail.com>

	* === Released 1.4 ===
	* panel-plugin/notes.c: Fix a bug with the task_switcher.
	* panel-plugin/notes.c: Don't focus the notebook.

2006-11-25  Mike Massonnet <mmassonnet@gmail.com>

	* po/{*,fr,de}: make update-po.  Update french and german.
	* panel-plugin/{notes-options.c,notes-window.h,notes-window.c,
	  notes.h,notes.c}: Add a resize grip (GtkStatusbar), and the
	  option for it.

2006-10-09	Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes-options.c: Change window icon from panel to 
	  settings.

2006-10-03	Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes.{c,h}: Add a default behavior to reset the last
	  state of the visibility of the window after restart.
	* po/*: update-po.

2006-09-24	Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/{notes.c,notes-window.c}: Unshade on new page.

2006-09-17	Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes-window.c: Cycle through the tabs.
	* panel-plugin/notes.c, panel-plugin/notes-window.c: Use a unique RC 
	  file.

2006-09-06  Mike Massonnet <mmassonnet@gmail.com>

	* === Released 1.3.99.1 ===
	* configure.in.in: Tag version 1.3.99.1.
	* panel-plugin/Makefile.am: Add compilation for xfce4-popup-notes.
	* panel-plugin/xfce4-popup-notes.{c,h}: New files, derivated from
	  xfce4-popup-windowlist.
	* panel-plugin/notes.c: Add message receiver for the xfce4-popup-notes
	  source.  Shows/hides the notes when called.

2006-08-30  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes.c: Use rc groups.
	* panel-plugin/notes-window.c: Revert the question if only the tab is
	  edited.  Use a save-timeout when a page is closed.
	* panel-plugin/notes.{c,h}, panel-plugin/notes-options.c: Still remove 
	  deprecated code.
	* panel-plugin/notes.c, panel-plugin/notes-window.c: Clean up
	  save_on_timeout() and make better use of it (on close a page).  Add
	  save_on_timeout_execute().
	* panel-plugin/notes.{c,h}, panel-plugin/notes-window.c: Changed the
	  panel toggled button against a classic panel button.
	  Use a simple signal clicked instead of button-press-event for the panel
	  button.
	* panel-plugin/notes-window.c: Use default activation in the rename
	  dialog.

2006-08-14  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes-window.c: 
	  - Add CTRL+Page_Down/Up on key press from the GtkTextView 
	    to navigate through the notes.
	  - Add F2 on key press from the GtkTextView to rename (new 
	    function note_page_rename).

2006-08-12  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes-options.c: Remove more deprecated code.
	* panel-plugin/notes-window.c: Add accelerators for New note
	  and Close note (Ctrl+N and Ctrl+W).

2006-08-09  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes-window.c: Set angle 90 if the label is 
	  dirty (it looks cool this way, I'm liking it:)).
	* panel-plugin/notes-options.c: Remove deprecated code.
	* po/xfce4-notes-plugin.pot, po/*.po: update.

2006-08-08  Mike Massonnet <mmassonnet@gmail.com>

	* === Released 1.3.90.2 ===
	* panel-plugin/notes-window.c: Add a 3 pixel border around the 
	  tab label text.  Rename the tabs on double clicking the tab 
	  label.
	* panel-plugin/notes-window.c: I have forget to check for the 
	  response of the dialog ...

2006-08-05  Mike Massonnet <mmassonnet@gmail.com>

	* panel-plugin/notes.c: Fix resize issue after the window has 
	  been hidden while shaded.

2006-08-02  Mike Massonnet <mmassonnet@gmail.com>

	* ChangeLog: Use the correct format.
	* panel-plugin/notes-window.c: Changed the tab border to 3 
	  pixels (that's a 50/50 :)), set the label angle to 90°.
	  Correct the note_page_destroy to empty the first page instead
	  of doing nothing.
	* panel-plugin/notes-window.{c,h}: Remove hbox, pack the text 
	  label directly in the tab.
	  Remove set_tab_border (it is said to be deprecated in newly
	  written code).
	  Try a new design for the tabs. They are packed at left from 
	  bottom to top.


2006-08-01  Jannis Pohlmann <jannis@xfce.org>

	* configure.in.in: Fixed LINGUAS (removed the quotes around it).
	* panel-plugin/notes-options.c: Added a 12 pixel border around
	  the config options to be consistent with other plugins.
	* panel-plugin/notes-window.c: Added 6 pixel border of notebook 
	  tabs, which makes it easier to click on them (AFAIK).
	* panel-plugin/*.c: Cleaned up the English strings. 
	* po/*.po, po/xfce4-notes-plugin.pot: New strings merged.
	* po/de.po: German translations updated once again.

2006-08-01  Jannis Pohlmann <jannis@xfce.org>

	* configure.in.in: Removed configure.ac to configure.in.in as 
	  needed by autogen.sh. 

2006-07-30  Mike Massonnet <mmassonnet@gmail.com>

	- Remove the Add new page button.  Add two buttons Add/Remove.
	- Remove close eventbox from the tabs
	- Don't ask confirmation to delete an empty note
	- Versionning 1.3.0

2006-07-27  Mike Massonnet <mmassonnet@gmail.com>

	- Set vertical scrollbar policy by default to automatic
    - Add a confirmation dialog on note delete

2006-07-24  Mike Massonnet <mmassonnet@gmail.com>

	- Fix a bug with the window size

2006-07-24  Mike Massonnet <mmassonnet@gmail.com>

    - Support multiple notes through a notebook
    - Options: always on top, sticky, show at startup, show in task switcher

2006-07-03  Mike Massonnet <mmassonnet@gmail.com>

	- New release for new panel version 4.4
	- The features:
		- Save / load the data (amazing isn't it :)
		- Moving the note without holding ALT (brilliant :)
		- Show/hide the note (kikoo)
			- Close button on the upper right corner
			- Escape touch
			- Panel toggle button
		- Always on top and Sticky
		- Remember the position of the note

2003-10-23  Jakob Henriksson <b0kaj+dev@lysator.liu.se>

	- added a dialog to confirm deletion of a note when it is not
	  empty.

2003-10-21  Jakob Henriksson <b0kaj+dev@lysator.liu.se>

	- reverted the change med yesterday about reading notes.xml
	- applied margin patch from jasper
	- cleaned up saving notes using timers

2003-10-20  Jakob Henriksson <b0kaj+dev@lysator.liu.se>

	- added patch from jasper preventing Alt+F4 to close a note.
	- make loading the applet to read notex.xml so that old notes
	  are read when applet is loaded from scratch.

2003-10-16  Jakob Henriksson <b0kaj+dev@lysator.liu.se>

	- added bg_pixmap_name[GTK_STATE_NORMAL] = g_strdup("<none>");
	  to prevent themes from using bg_pixmaps when user has selected 
	  not to use system themes/colors.
	- changed version number to 0.9.7 in configure.ac

2003-10-10  Jakob Henriksson <b0kaj+dev@lysator.liu.se>

	- applied patch from jasper containing addition of double-click
	  event for creating new notes and some code cleanup.

2003-10-08  Jakob Henriksson <b0kaj+dev@lysator.liu.se>

	- Added autosave min 5 sec and max 10 sec after last edit. This
	  autosave buisness in order for notes not to get lost when
	  using "quit" on desktop menu or using ctrl+alt+del for closing
	  X.
	- Release version 0.9.6
	- Upload into CVS at berlios.de
	- Fixed problem with sticky notes, should be ok now.

2003-10-07  Jakob Henriksson <b0kaj+dev@lysator.liu.se>

	- Added in options: sticky, better color selection, icon choice.
	- Changed close button to a button instead of an event box. Makes 
	  possible to regret close if mouse is removed from button while
	  still pressed down.
	- Added better tooltips to applet icon in panel.
	- Made note title editable by double-click
	- Other code cleanup
	- Moved resize.png and close.png into code
	- Released version 0.9.5

2003-10-06  Jakob Henriksson <b0kaj+dev@lysator.liu.se>

	- Added GPL COPYING file

2003-10-05  Jakob Henriksson <b0kaj+dev@lysator.liu.se>

	- Released version 0.9

